<ui-select ng-model="model" theme="bootstrap" append-to-body="false" on-select="onSelect($item)">
    <ui-select-match placeholder="{{config.placeholder}}">
        <span>{{$select.selected.n}}</span>&nbsp;<span class="text-muted" ng-if="$select.selected.parent">{{$select.selected.parent}}</span>
    </ui-select-match>
    <ui-select-choices group-by="'parent'" repeat="city.k as city in cities" refresh="filter($select.search)">
        <div ng-bind-html="city.n | highlight: $select.search" refresh-delay="100"></div>
    </ui-select-choices>
</ui-select>
